% Teckids e.V. - Dokumentklasse für Unterrichtsmaterial
%-
% Copyright © 2013, 2014
%	Dominik George <nik@naturalnet.de>
% Copyright © 2014, 2015
%	Thorsten Glaser <thorsten.glaser@teckids.org>
%
% Provided that these terms and disclaimer and all copyright notices
% are retained or reproduced in an accompanying document, permission
% is granted to deal in this work without restriction, including un‐
% limited rights to use, publicly perform, distribute, sell, modify,
% merge, give away, or sublicence.
%
% This work is provided "AS IS" and WITHOUT WARRANTY of any kind, to
% the utmost extent permitted by applicable law, neither express nor
% implied; without malicious intent or gross negligence. In no event
% may a licensor, author or contributor be held liable for indirect,
% direct, other damage, loss, or other issues arising in any way out
% of dealing in the work, even if advised of the possibility of such
% damage or existence of a defect, except proven that it results out
% of said person's immediate fault when using the work as intended.

\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{teckidspubmat}

\PassOptionsToPackage{paper=a4}{typearea}
\LoadClass{scrartcl}

\RequirePackage{teckids}
\usepackage{lastpage}

\RequirePackage[automark]{scrpage2}
\pagestyle{scrheadings}
\clearscrheadings
\clearscrplain
\lohead{\headmark}
\rohead{\thepage{}/\pageref*{LastPage}}
\lofoot{\rule{\textwidth}{1pt}
\includegraphics[width=3cm]{cc-by-sa}}
\rofoot{\teckidslogo[3cm]{}}

\newcommand{\teckidspubmat}[2]{
\hypersetup{
	pdfauthor = {#2, and others; see gitweb of Teckids e.V.}
}
\lohead{\Large #1}
\cofoot{\footnotesize
\linebreak% wegen \rule im \lofoot
\copyright 2014 #2\linebreak
Lizenziert unter einer Creative Commons Namensnennung - \linebreak
Weitergabe unter gleichen Bedingungen 3.0 Deutschland Lizenz.}
}
\newcommand{\teckidspubmatnamegroup}{\vspace{2cm}Name: \line(1,0){200}\hfill{}Klasse: \line(1,0){50}\hfill{}Gruppe: \line(1,0){50}}
